@import "../../../../assets/scss/index.scss";

.page-book-table {

  &__th-icon {
    color: $colour__text-green;
    -webkit-font-smoothing: antialiased;
    display: inline-block;
    font-style: normal;
    font-variant: normal;
    text-rendering: auto;
    line-height: 1;
    font-weight: 900;
    margin-left: 2px;

    &--inactive {
      transform: rotate(90deg) scale(0.75);
      &::before {
        content: "❮ ❯";
      }
    }

    &--ascending {
      margin: 0 7px;
      transform: rotate(90deg) scale(0.75);
      &::before {
        content: "❮";
      }
    }

    &--descending {
      margin: 0 7px;
      transform: rotate(-90deg) scale(0.75);
      &::before {
        content: "❮";
      }
    }
  }

  table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
    font-weight: 400;

    th {
      padding: 10px;
      border-bottom: 1px solid $colour__text-red;
      color: $colour__text-green;
      text-transform: uppercase;
      font-weight: 900;
      text-align: left;
      cursor: pointer;
      user-select: none;
    }

    .page-book-table__tr {
      margin: 0;
      padding: 0;
      border: 0;
      vertical-align: baseline;
      border-bottom: 1px solid $colour__text-red;
      user-select: none;

      &__td {
        cursor: pointer;
        padding: 10px;

        p {
          padding: 0;
          margin: 0;
          font-size: 1rem;
          line-height: 1rem;
        }
      }

      &:hover {
        td {
          p {
            color: $colour__text-blue;
          }
        }
      }
    }
  }

  &__pagination {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 20px 0;

    &__page {
      width: 2rem;
      height: 2rem;
      line-height: 2rem;
      cursor: pointer;
      text-decoration: none;
      display: inline-block;
      user-select: none;
      text-align: center;
      margin: 0 5px;
      color: $colour__text-green;
      font-weight: 900;
      transition: all 0.2s;

      &--active {
        color: $colour__text-red;
      }
    }

    &__right,
    &__left {
      width: 2rem;
      height: 2rem;
      line-height: 2rem;
      cursor: pointer;
      text-decoration: none;
      display: inline-block;
      text-align: center;
      color: $colour__text-green;
      font-weight: 900;
      user-select: none; // avoid highlight on clicking
    }
  }
}

@include media(tablet) {
  .page-book-table {
    overflow-x: scroll;

    table {
      width: 760px;
    }
  }
}
